Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Speech Synthesizer
Name:		espeak
Version:	1.40.02
Release:	1
License:	GNU/GPL v3
URL:		http://espeak.sourceforge.net/
Group:		User Interface/Speech Synthesis
Source0:	%{name}-%{version}-source.zip
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: portaudio-devel

%description
eSpeak is a compact open source software speech synthesizer for English and other languages.
eSpeak produces good quality English speech. It uses a different synthesis method from other open source TTS engines, and sounds quite different.
The eSpeak speech synthesizer supports several languages, however in most cases these are initial drafts and need more work to improve them. eSpeak does text to speech synthesis for the following languages, some better than others. Afrikaans, Croatian, Czech, Dutch, English, Esperanto, Finnish, French, German, Greek, Hindi, Hungarian, Icelandic, Italian, Norwegian, Polish, Portuguese, Romanian, Russian, Slovak, Spanish, Swahili, Swedish, Vietnamese, Welsh.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}-source

%build
cd src
rm -rf portaudio.h
cp portaudio19.h portaudio.h
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd src
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_datadir/espeak-data

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 1.40.02-1
- Version update
* Mon Dec 31 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.30-1
- Version update
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.29-1
- Initial Release
